Compare commits

..

No commits in common. "master" and "1.20.2" have entirely different histories.

3 changed files with 16 additions and 45 deletions

View File

@ -18,8 +18,6 @@ Call ufw -h for help.
Dependencies: curl, jq Dependencies: curl, jq
The config goes into `$XDG_CONFIG_DIR/ufw`.
ufwd ufwd
---- ----

58
ufw
View File

@ -43,7 +43,6 @@ usage() {
-t|--tags "<tag1[, tag2,..]>" # Add tags to the file. -t|--tags "<tag1[, tag2,..]>" # Add tags to the file.
-q|--quiet # Be quiet. -q|--quiet # Be quiet.
-v|--void # Don't add the file to my files. -v|--void # Don't add the file to my files.
-c|--clipboard # Throw the result into the clipboard
Config options (~/.config/ufw): Config options (~/.config/ufw):
secret # Your personal token. Get it at https://zfh.so/settings_form secret # Your personal token. Get it at https://zfh.so/settings_form
@ -84,10 +83,7 @@ get_max_filesize() {
get_album_id() { get_album_id() {
declare api_response api_status api_status_message declare api_response api_status api_status_message
api_response=$( curl --get \ api_response=$( curl -f "$cfg_service_url/albumctl.json?m=new&name=$1&secret=$secret" )
--data-urlencode "name=$1" \
--data-urlencode "secret=$secret" \
"$cfg_service_url/albumctl.json?m=new" )
get_api_status <<< "$api_response" get_api_status <<< "$api_response"
@ -144,7 +140,7 @@ upload() {
api_response=$( curl \ api_response=$( curl \
-F file="@$file" \ -F file="@$file" \
-F format='json' \ -F api_format='json' \
-F flag_private="$flag_private" \ -F flag_private="$flag_private" \
-F secret="$secret" \ -F secret="$secret" \
-F tags="$tags" \ -F tags="$tags" \
@ -174,8 +170,6 @@ upload() {
(( flag_directlink )) || file_link="${file_link#*.}" (( flag_directlink )) || file_link="${file_link#*.}"
} }
(( flag_clipboard )) && xclip "${xclip_args[@]}" <<< "$file_link"
printf '%s\n' "$file_link" printf '%s\n' "$file_link"
if (( flag_rm )); then if (( flag_rm )); then
@ -191,18 +185,14 @@ upload() {
get_shortlink() { get_shortlink() {
declare url=$1 api_response api_status api_status_message declare url=$1 api_response api_status api_status_message
api_response=$( curl --data-urlencode "url=$url" \ api_response=$( curl "$cfg_service_url/shrink.json?url=${url}&secret=$secret" )
--data-urlencode "secret=$secret" \
"$cfg_service_url/shrink.json" )
get_api_status <<< "$api_response" get_api_status <<< "$api_response"
if (( api_status == 200 )); then if (( api_status == 200 )); then
read -r short_url real_url < <( read -r short_url real_url < <(
jq -r '.data.short_url' <<< "$api_response" jq -r '.data.short_url' <<< "$api_response"
) )
(( flag_clipboard )) && xclip "${xclip_args[@]}" <<< "$short_url"
printf '%s\n' "$short_url" printf '%s\n' "$short_url"
else else
printf 'Error: %s %s\n' "$api_status" "$api_status_message" printf 'Error: %s %s\n' "$api_status" "$api_status_message"
@ -243,7 +233,6 @@ get_my_ip() {
if (( api_status == 200 )); then if (( api_status == 200 )); then
my_ip=$( jq -r '.data.ip' <<< "$api_response" ) my_ip=$( jq -r '.data.ip' <<< "$api_response" )
(( flag_clipboard )) && xclip "${xclip_args[@]}" <<< "$my_ip"
printf '%s\n' "$my_ip" printf '%s\n' "$my_ip"
else else
printf 'Error: %s %s\n' "$api_status" "$api_status_message" printf 'Error: %s %s\n' "$api_status" "$api_status_message"
@ -301,7 +290,7 @@ set_argv() {
unset -v arg opt c unset -v arg opt c
case "$1" in case "$1" in
(--) argv+=( "$1" ); shift; break;; (--) argv+=( "$1" ); break;;
(--*) (--*)
IFS='=' read arg opt <<< "$1" IFS='=' read arg opt <<< "$1"
@ -326,10 +315,6 @@ set_argv() {
esac esac
shift shift
done done
if (( $# )); then
argv+=( "$@" )
fi
} }
main() { main() {
@ -357,7 +342,7 @@ main() {
if [[ -f "$cfg_file" ]]; then if [[ -f "$cfg_file" ]]; then
if ! source "$cfg_file"; then if ! source "$cfg_file"; then
printf 'Failed to source configuration file: %s\n' "$cfg_file" printf 'Failed to source configuration file: %s\n' "$cfg_file"
return 1 return $?
fi fi
fi fi
@ -368,8 +353,6 @@ main() {
: ${cfg_max_filesize:='200M'} : ${cfg_max_filesize:='200M'}
: ${flag_shortlink:=0} : ${flag_shortlink:=0}
: ${flag_directlink:=1} : ${flag_directlink:=1}
: ${flag_clipboard:=0}
: ${xclip_selector:='clipboard'}
while [[ "$1" ]]; do while [[ "$1" ]]; do
case "$1" in case "$1" in
@ -392,10 +375,6 @@ main() {
(-q|--quiet) flag_quiet=1;; (-q|--quiet) flag_quiet=1;;
(-v|--void) flag_void=1;; (-v|--void) flag_void=1;;
# Clipboard
(-c|--clipboard) flag_clipboard=1;;
(-C|--xclip-selector) xclip_selector=$2; shift;;
(--notify) flag_notify=1;; (--notify) flag_notify=1;;
(--no-notify|-n) flag_notify=0;; (--no-notify|-n) flag_notify=0;;
@ -417,19 +396,11 @@ main() {
return 1 return 1
;; ;;
*) args+=( "$1" );; *) break;;
esac esac
shift shift
done done
xclip_args+=( -selection "$xclip_selector" )
# Catch the args after --
if (( $# )); then
args+=( "$@" )
shift
fi
TEMPDIR="$cfg_tmp_dir" TEMPDIR="$cfg_tmp_dir"
for i in "$cfg_tmp_dir"; do for i in "$cfg_tmp_dir"; do
@ -439,18 +410,21 @@ main() {
case "${action:-upload}" in case "${action:-upload}" in
upload) upload)
get_token || return $? get_token || return $?
(( ${#args[@]} )) || return 1
for t in "${args[@]}"; do if (( $# )); then
upload "$t" for t in "$@"; do
done upload "$t"
done
else
upload
fi
;; ;;
url) url)
get_token || return $? get_token || return $?
for t in "${args[@]}"; do for t in "$@"; do
get_shortlink "$t" get_shortlink "$1"
done done
;; ;;

1
ufwd
View File

@ -14,7 +14,6 @@ usage() {
printf ' -h # Show this message.\n' printf ' -h # Show this message.\n'
printf ' -n # Enable notifications with notify-send. Must be installed.\n' printf ' -n # Enable notifications with notify-send. Must be installed.\n'
printf ' -d [path] # Set the dir that is to be watched.\n' printf ' -d [path] # Set the dir that is to be watched.\n'
printf ' -s # Push the file url into the clipboard.\n'
} }
upload() { upload() {